org.mariadb.jdbc.internal.mysql.packet.commands

## Class SendPrepareStatementPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.packet.commands.SendPrepareStatementPacket

All Implemented Interfaces:
  CommandPacket

    public class SendPrepareStatementPacket
    extends Object
    implements CommandPacket

### Constructor Summary

Constructors
Constructor and Description
`SendPrepareStatementPacket(String sql)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `send(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendPrepareStatementPacket

    public SendPrepareStatementPacket(String sql)

### Method Detail

#### send

    public int send(OutputStream os)
             throws IOException

Specified by:
  `send` in interface `CommandPacket`
Throws:
  `IOException`